#### D.15.10.3 LRskew

Procedure from library `lrcalc.lib` (see lrcalc_lib).

Usage:
  LRskew(z, x [,s, r]); z, x lists of integers (partitions) s string equal to 'r', r non-negative integer

Return:
  list of lists

Purpose:
  computes the partitions y for which the Littlewood-Richardson coefficient c^z_{x,y} is non-zero together with that coefficient; only partitions up to length r are computed
  if the optional parameters age given

Note:

Example:

    LIB "lrcalc.lib";
    // Compute the partitions y for which the Littlewood-Richardson coefficient
    // c^z_{x,y} is non-zero together with that coefficient
    // for z= (3, 2, 1), x=(2, 1)
    list z = 3, 2, 1;
    list x = 2, 1;
    LRskew(z, x);
    // Now compute only the partitions with at most 2 entries
    LRskew(z, x, "r", 2);

User manual for Singular version 4.4.1, 2025, generated by texi2html.